MuleBeanDefinitionDocumentReader (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.MuleBeanDefinitionDocumentReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class MuleBeanDefinitionDocumentReader

    java.lang.Object
      org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader
          org.mule.config.spring.MuleBeanDefinitionDocumentReader

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionDocumentReader

    public class MuleBeanDefinitionDocumentReader

extends org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader

Allows us to hook in our own Hierarchical Parser delegate. this enables the parsing of custom spring bean elements nested within each other

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader
`ALIAS_ATTRIBUTE, ALIAS_ELEMENT, BEAN_ELEMENT, IMPORT_ELEMENT, logger, NAME_ATTRIBUTE, RESOURCE_ATTRIBUTE`

Constructor Summary
`MuleBeanDefinitionDocumentReader()`

Method Summary
`protected org.springframework.beans.factory.xml.BeanDefinitionParserDelegate` | `createHelper(org.springframework.beans.factory.xml.XmlReaderContext readerContext, Element root)`
`protected void` | `parseBeanDefinitions(Element root, org.springframework.beans.factory.xml.BeanDefinitionParserDelegate delegate)` Override to reject configuration files with no namespace, e.g.

Methods inherited from class org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader
`extractSource, getReaderContext, importBeanDefinitionResource, postProcessXml, preProcessXml, processAliasRegistration, processBeanDefinition, registerBeanDefinitions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleBeanDefinitionDocumentReader

    public MuleBeanDefinitionDocumentReader()

Method Detail

### createHelper

    protected org.springframework.beans.factory.xml.BeanDefinitionParserDelegate createHelper(org.springframework.beans.factory.xml.XmlReaderContext readerContext,
                                                                                              Element root)

  Overrides:
    `createHelper` in class `org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader`

### parseBeanDefinitions

    protected void parseBeanDefinitions(Element root,
                                        org.springframework.beans.factory.xml.BeanDefinitionParserDelegate delegate)

  Override to reject configuration files with no namespace, e.g. mule legacy configuration file.

  Overrides:
    `parseBeanDefinitions` in class `org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.